PENGADIAN EMAS - Bug #15827

Android[EMAS][REGISTRATION][NEGATIVE SCENARIO] Issue When M2U Services Down
22 February 2023 02:34 PM - yap chekying

Status: Closed Start date: 22 February 2023
Priority: Urgent Due date:

Assignee: yap chekying % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour
Description

Issue 1:

During check-account ws down, wrong error message showed when tap on "CREATE PEGADAIAN ACCOUNT" button.
retrofit2.adapter.rxjava
A 2.HttpException: HTTP
404
Expected Result:

Should show error message below:

ENG: We apologize, system is currently unavailable. Please try again later

IND: Mohon maaf, saat ini sistem tidak tersedia. Silahkan coba kembali beberapa saat lagi.

Issue 2:
During getDropDown ws down, wrong error message showed when tap on "CREATE PEGADAIAN ACCOUNT" button.
retrofit2.adapter.rxjava
A 2.HttpException: HTTP
404
Expected Result:

Should show error message below:

ENG: We apologize, system is currently unavailable. Please try again later

IND: Mohon maaf, saat ini sistem tidak tersedia. Silahkan coba kembali beberapa saat lagi.

Issue 3:
During store-image ws down at ktp photo screen, wrong error message showed when tap on "CONTINUE" button.
A okhttp3.ResponseBody$Companion$ Y
asResponseBody$1@47d3a3f
Expected Result:

Should show error message below:

ENG: We apologize, system is currently unavailable. Please try again later

IND: Mohon maaf, saat ini sistem tidak tersedia. Silahkan coba kembali beberapa saat lagi.

Issue 4:
During store-image ws down at selfie photo screen, wrong error message showed when tap on "CONTINUE" button.
A okhttp3.ResponseBody$Companion$ Y
asResponseBody$1@20cé6ef
Expected Result:

Should show error message below:

ENG: We apologize, system is currently unavailable. Please try again later

IND: Mohon maaf, saat ini sistem tidak tersedia. Silahkan coba kembali beberapa saat lagi.

Issue 5:
During getTermCondition ws down, wrong error message showed when tap on "CONTINUE" button.
retrofit2.adapter.rxjava
A 2.HttpException: HTTP
404
Expected Result:

Should show error message below:

ENG: We apologize, system is currently unavailable. Please try again later

IND: Mohon maaf, saat ini sistem tidak tersedia. Silahkan coba kembali beberapa saat lagi.

Issue 6:
During getSourceOfFunds ws down, wrong error message showed when tap on "CONTINUE" button.
retrofit2.adapter.rxjava
A 2.HttpException: HTTP
404
Expected Result:

Should show error message below:

ENG: We apologize, system is currently unavailable. Please try again later

IND: Mohon maaf, saat ini sistem tidak tersedia. Silahkan coba kembali beberapa saat lagi.

Issue 7:
During confirm-registration ws down, wrong error message showed when tap on "CONTINUE" button.

20 April 2025 13/17




retrofit2.adapter.rxjava
A 2.HttpException: HTTP
404
Expected Result:

Should show error message below:

ENG: We apologize, system is currently unavailable. Please try again later

IND: Mohon maaf, saat ini sistem tidak tersedia. Silahkan coba kembali beberapa saat lagi.

Issue 8:
During submit-registration ws down, wrong error message showed when tap on "CONTINUE" button.
retrofit2.adapter.rxjava
A 2.HttpException: HTTP
404
Expected Result:

Should show error message below:

ENG: We apologize, system is currently unavailable. Please try again later

IND: Mohon maaf, saat ini sistem tidak tersedia. Silahkan coba kembali beberapa saat lagi.

History

#1 - 22 February 2023 04:10 PM - Hao Ter Tai
- Status changed from New to In Progress

- % Done changed from 0 to 90

should be fixed, pending testing

#2 - 23 February 2023 10:04 AM - Hao Ter Tai
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#3 - 23 February 2023 10:04 AM - Hao Ter Tai
- Status changed from Resolved to Assigned

- Assignee changed from Hao Ter Tai to yap chekying

#4 - 03 May 2023 03:41 PM - yap chekying
- Status changed from Assigned to Closed
